GET /commerce/{accountId}/v2/checkouts/{checkoutId}

Returns a checkout session by ID. This can be used to poll the status of a checkout session providing order placement details.

Path parameters

  • accountId string Required
  • checkoutId string Required

Responses

  • 200 application/json

    200

    One of:
  • 400 application/json

    400

GET /commerce/{accountId}/v2/checkouts/{checkoutId}
curl \
 --request GET 'https://api.staging.deliverect.com/commerce/{accountId}/v2/checkouts/{checkoutId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "6643861d0c1914c93a846b78",
  "etag": "f225b232489659ed4dc0f17580f4f0200f4ca3ba",
  "order": {
    "channelOrderId": "6643861d0c1914c93a846b79",
    "channelOrderDisplayId": "01277571"
  },
  "basket": {
    "items": [
      {
        "net": 1500,
        "plu": "STK-01",
        "name": "Delicious Steak Frites",
        "gross": 1500,
        "price": 1500,
        "taxes": [],
        "menuId": "62d7f77f64c95193cc29aa91",
        "quantity": 1,
        "subItems": [],
        "discounts": [],
        "discountTotal": 0
      }
    ],
    "taxes": [],
    "payment": {
      "tips": [
        {
          "type": "restaurant",
          "amount": 100
        }
      ],
      "total": 1600,
      "taxTotal": 0,
      "tipTotal": 100,
      "discountsTotal": 0
    },
    "currency": "EUR",
    "customer": {
      "tin": "123456789",
      "name": "Test",
      "email": "test@email.com",
      "companyName": "Company LTDA",
      "phoneNumber": "12345"
    },
    "discounts": [],
    "fulfillment": {
      "type": "pickup"
    },
    "taxExclusive": false
  },
  "status": "completed",
  "created": "2024-05-14T15:41:17.518000+00:00",
  "deleted": false,
  "payment": {
    "id": "62d7f77f64c95193cc29aa91",
    "action": {
      "url": "http://payment.acme.com/1234",
      "type": "redirect"
    },
    "status": "authorized"
  },
  "storeId": "65eee6a9984a1bc1b9637c59",
  "updated": "2024-05-14T15:41:18.449000+00:00",
  "accountId": "65c35d109a19b819b7cf78d8",
  "channelLinkId": "65eee6a9984a1bc1b9637c59"
}
{
  "id": "6643861d0c1914c93a846b78",
  "etag": "f225b232489659ed4dc0f17580f4f0200f4ca3ba",
  "order": null,
  "basket": {
    "items": [
      {
        "net": 1500,
        "plu": "STK-01",
        "name": "Delicious Steak Frites",
        "gross": 1500,
        "price": 1500,
        "taxes": [],
        "menuId": "62d7f77f64c95193cc29aa91",
        "quantity": 1,
        "subItems": [],
        "discounts": [],
        "discountTotal": 0
      }
    ],
    "taxes": [],
    "payment": {
      "tips": [
        {
          "type": "restaurant",
          "amount": 100
        }
      ],
      "total": 1600,
      "taxTotal": 0,
      "tipTotal": 100,
      "discountsTotal": 0
    },
    "currency": "EUR",
    "customer": {
      "tin": "123456789",
      "name": "Test",
      "email": "test@email.com",
      "companyName": "Company LTDA",
      "phoneNumber": "12345"
    },
    "discounts": [],
    "fulfillment": {
      "type": "pickup"
    },
    "taxExclusive": false
  },
  "status": "open",
  "created": "2024-05-14T15:41:17.518000+00:00",
  "deleted": false,
  "payment": {
    "id": "62d7f77f64c95193cc29aa91",
    "action": {
      "url": "http://payment.acme.com/1234",
      "type": "redirect"
    },
    "status": "pending"
  },
  "storeId": "65eee6a9984a1bc1b9637c59",
  "updated": "2024-05-14T15:41:18.449000+00:00",
  "accountId": "65c35d109a19b819b7cf78d8",
  "channelLinkId": "65eee6a9984a1bc1b9637c59"
}
{
  "id": "6643861d0c1914c93a846b78",
  "etag": "f225b232489659ed4dc0f17580f4f0200f4ca3ba",
  "order": null,
  "basket": {
    "items": [
      {
        "net": 1500,
        "plu": "STK-01",
        "name": "Delicious Steak Frites",
        "gross": 1500,
        "price": 1500,
        "taxes": [],
        "menuId": "62d7f77f64c95193cc29aa91",
        "quantity": 1,
        "subItems": [],
        "discounts": [],
        "discountTotal": 0
      }
    ],
    "taxes": [],
    "payment": {
      "tips": [
        {
          "type": "restaurant",
          "amount": 100
        }
      ],
      "total": 1600,
      "taxTotal": 0,
      "tipTotal": 100,
      "discountsTotal": 0
    },
    "currency": "EUR",
    "customer": {
      "tin": "123456789",
      "name": "Test",
      "email": "test@email.com",
      "companyName": "Company LTDA",
      "phoneNumber": "12345"
    },
    "discounts": [],
    "fulfillment": {
      "type": "pickup"
    },
    "taxExclusive": false
  },
  "status": "open",
  "created": "2024-05-14T15:41:17.518000+00:00",
  "deleted": false,
  "payment": {
    "id": "62d7f77f64c95193cc29aa91",
    "action": {
      "url": "http://payment.acme.com/1234",
      "type": "redirect"
    },
    "status": "refused"
  },
  "storeId": "65eee6a9984a1bc1b9637c59",
  "updated": "2024-05-14T15:41:18.449000+00:00",
  "accountId": "65c35d109a19b819b7cf78d8",
  "channelLinkId": "65eee6a9984a1bc1b9637c59"
}
{
  "id": "6643861d0c1914c93a846b78",
  "etag": "f225b232489659ed4dc0f17580f4f0200f4ca3ba",
  "order": null,
  "basket": {
    "items": [
      {
        "net": 1500,
        "plu": "STK-01",
        "name": "Delicious Steak Frites",
        "gross": 1500,
        "price": 1500,
        "taxes": [],
        "menuId": "62d7f77f64c95193cc29aa91",
        "quantity": 1,
        "subItems": [],
        "discounts": [],
        "discountTotal": 0
      }
    ],
    "taxes": [],
    "payment": {
      "tips": [
        {
          "type": "restaurant",
          "amount": 100
        }
      ],
      "total": 1600,
      "taxTotal": 0,
      "tipTotal": 100,
      "discountsTotal": 0
    },
    "currency": "EUR",
    "customer": {
      "tin": "123456789",
      "name": "Test",
      "email": "test@email.com",
      "companyName": "Company LTDA",
      "phoneNumber": "12345"
    },
    "discounts": [],
    "fulfillment": {
      "type": "pickup"
    },
    "taxExclusive": false
  },
  "status": "failed",
  "created": "2024-05-14T15:41:17.518000+00:00",
  "deleted": false,
  "payment": {
    "id": "62d7f77f64c95193cc29aa91",
    "action": null,
    "status": "failed"
  },
  "storeId": "65eee6a9984a1bc1b9637c59",
  "updated": "2024-05-14T15:41:18.449000+00:00",
  "accountId": "65c35d109a19b819b7cf78d8",
  "channelLinkId": "65eee6a9984a1bc1b9637c59"
}
Response examples (400)
{
  "value": ""
}